CDIR$ NOLIST                                                                       FACE.603         
*DK ADVECL                                                                         ADVECL.1         
CDIR$ NOLIST                                                                       ADVECL.2         
      SUBROUTINE ADVECL(NX,S,K)
      SAVE
      include 'params.h'
      include 'asas2.h'
      include 'cons2.h'
      include 'index.h'
      DIMENSION S(IMXP)
      NUK=NJ+NU+(K-1)
      NXK=NJ+NX+(K-1)
      DO 1 I=3,IMAXP2
      S(I)=.5*C(52)*(C(10)*(F(I+1,NXK)-F(I-1,NXK))*(F(I+1,NUK)+F(I-1,
     ANUK))-C(11)*(F(I+2,NXK)-F(I-2,NXK))*(F(I+2,NUK)+F(I-2,NUK)))
    1 CONTINUE
      RETURN
      END
